[v2,2/2,PW3] Add Django 3.0 support
diff mbox series

Message ID 20191024032639.14707-2-ajd@linux.ibm.com
State New
Headers show
Series
  • [v2,1/2,PW3] tests: Fix escaping in bundle tests on Django 3.0
Related show

Commit Message

Andrew Donnellan Oct. 24, 2019, 3:26 a.m. UTC
Now that we've dropped Python 2, we can get ready for Django 3.0, which is
still in beta.

Add Django 3.0b1 as a tox environment. Add a release note for Django 3.0
support, as it will be released by the time Patchwork 3.0 is out.

Closes: #311 ("Django 3.0 support")
Signed-off-by: Andrew Donnellan <ajd@linux.ibm.com>

---

v1->v2:
- rebase on top of python 3.8 patch [github.com/ajdlinux/patchwork, django3 
branch]
- add release note as suggested by dja

Not adding upper bounds on the version numbers until 3.0 actually drops.

I'm considering this as closing the issue for Django 3.0 support, as now
that Django 3.0 is in beta it's unlikely to get further breaking changes
and we'll catch anything as we test it.
---
 releasenotes/notes/django-3-0-support-763b5c7b5aab0010.yaml | 5 +++++
 tox.ini                                                     | 5 ++++-
 2 files changed, 9 insertions(+), 1 deletion(-)
 create mode 100644 releasenotes/notes/django-3-0-support-763b5c7b5aab0010.yaml

Patch
diff mbox series

diff --git a/releasenotes/notes/django-3-0-support-763b5c7b5aab0010.yaml b/releasenotes/notes/django-3-0-support-763b5c7b5aab0010.yaml
new file mode 100644
index 000000000000..a21c70540404
--- /dev/null
+++ b/releasenotes/notes/django-3-0-support-763b5c7b5aab0010.yaml
@@ -0,0 +1,5 @@ 
+---
+features:
+  - |
+    `Django 3.0 <https://docs.djangoproject.com/en/dev/releases/3.0/>`_ is now
+    supported. This requires Python 3.6 or higher.
diff --git a/tox.ini b/tox.ini
index 6be8141e7c66..693d02de3c40 100644
--- a/tox.ini
+++ b/tox.ini
@@ -1,6 +1,6 @@ 
 [tox]
 minversion = 2.0
-envlist = pep8,docs,py{36,37,38}-django{20,21,22}
+envlist = pep8,docs,py{36,37,38}-django{20,21,22,30b1}
 skipsdist = True
 
 [testenv]
@@ -13,6 +13,9 @@  deps =
     django22: django>=2.2,<2.3
     django22: djangorestframework>=3.10,<3.11
     django22: django-filter>=2.1,<3.0
+    django30b1: django==3.0b1
+    django30b1: djangorestframework>=3.10
+    django30b1: django-filter>=2.2
 setenv =
     DJANGO_SETTINGS_MODULE = patchwork.settings.dev
     PYTHONDONTWRITEBYTECODE = 1